Page MenuHomePhabricator

Enable Interactive Maps (Kartographer) on Macedonian Wikipedia
Closed, ResolvedPublic

Description

Bojan (User:Bjankuloski06) a bureaucrat on the Macedonian Wikipedia (mk.wikipedia.org) would like to have Kartographer installed. However, he says, "We would like to have Kartographer installed, but none of us admins or bureaucrats know how to do it at all. Could you help us? It would be very nice if you can actually install it for us, as we are sure that we'll mess something up."

I've reached out to Bojan to ask if there is community support for this and will update the task when I hear back.

Link to community discussion: https://mk.wikipedia.org/wiki/%D0%92%D0%B8%D0%BA%D0%B8%D0%BF%D0%B5%D0%B4%D0%B8%D1%98%D0%B0:%D0%A1%D0%B5%D0%BB%D1%81%D0%BA%D0%B0_%D1%87%D0%B5%D1%88%D0%BC%D0%B0#.D0.9F.D1.80.D0.B5.D0.B4.D0.BB.D0.BE.D0.B3_.D0.B7.D0.B0_.D0.B2.D0.BE.D0.B2.D0.B5.D0.B4.D1.83.D0.B2.D0.B0.D1.9A.D0.B5_.D0.BD.D0.B0_.E2.80.9E.D0.9A.D0.B0.D1.80.D1.82.D0.BE.D0.B3.D1.80.D0.B0.D1.84.E2.80.9C

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable Kartographer on Meta, ca:, he: and mk:

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 11 2016, 2:58 PM
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptJul 11 2016, 4:42 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJul 11 2016, 4:49 PM
Yurik added a comment.Jul 11 2016, 4:54 PM

This is not a community block, but a technical one - waiting for T133744

Yurik added a comment.Jul 11 2016, 4:59 PM

@Urbanecm, this is incorrect. Production status is required for this task to proceed, not the other way around.

@Yurik Do they want to install https://www.mediawiki.org/wiki/Extension:Maps or https://www.mediawiki.org/wiki/Extension:Kartographer ?

By reading Bojan (User:Bjankuloski06) a bureaucrat on the Macedonian Wikipedia (mk.wikipedia.org) would like to have Kartographer installed I think they want https://www.mediawiki.org/wiki/Extension:Kartographer . And it is possible to install https://www.mediawiki.org/wiki/Extension:Kartographer .

@CKoerner_WMF Could you explain it please?

@Yurik Yeah you're right. I misunderstood the meaning of it. Sorry.

Yurik added a comment.Jul 11 2016, 5:06 PM

@Urbanecm, I suspect its Kartographer. Maps ext might violate our privacy policy, and we have no plans to enable it on any of WMF wikis. We plan to roll out the Kartographer ext to all wikis fairly soon, once the ops finish up productionazing our backend maps cluster.

Urbanecm changed the task status from Open to Stalled.Jul 11 2016, 5:14 PM
Urbanecm triaged this task as Low priority.
Urbanecm removed projects: Discovery, Maps.
Urbanecm moved this task from Unsorted to Tracking on the Maps (Kartographer) board.

Till T133744 will be finished this is stalled I think.

@Yurik Okay. Thanks. When T133744 will be finished should I upload a patch to enable Kartographer only on mkwiki or should I wait till it'll be enabled everywhere? Something like priority starting based on community consensus?

Yurik added a comment.Jul 11 2016, 5:22 PM

@Urbanecm, I will be happy to enable it first on the smaller wikis with the tech-savy communities so we can get better feedback. Don't worry about the patch.

Thanks for the link. As @Yurik wrote above there is another problem which is described in T133744 and https://phabricator.wikimedia.org/T139946#2448289 . External maps violate our privacy policy and there is no plan to be deployed now. The Kartographer extension is being reviewed and after it it'll be deployed in every WMF wiki.

Gehel added a subscriber: Gehel.

Removing dependency on T133744. We are ok with enabling Kartographer on smaller wikis at this point. So there isn't any technical blocker from Ops for this task.

Change 299870 had a related patch set uploaded (by Yurik):
Enable Kartographer on Meta, ca:, he: and mk:

https://gerrit.wikimedia.org/r/299870

Change 299870 merged by jenkins-bot:
Enable Kartographer on Meta, ca:, he: and mk:

https://gerrit.wikimedia.org/r/299870

MaxSem closed this task as Resolved.Jul 19 2016, 11:54 PM
Esanders added a subscriber: Esanders.EditedJul 27 2016, 10:35 AM

This is a really bad idea. This task should be blocked on T138057. It was one thing to deploy this extension to WikiVoyage where it was replacing to policy-violating code and existing features - but to prematurely deploy it to Wikipedias before we have implemented features for the most basic use cases (e.g. captions and framing) it just inviting a mountain of technical debt. No doubt to work around these missing features the local wikis will create a bunch of templates, and we'll be left in the same situation where the VE map editing tool is completely unusable.

I strongly suggest reverting this ASAP.

@Esanders, I agree that maps are not finalized for the general Wikipedia deployment, but I think it would be great to work with the smaller, tech-savvy communities to get some early feedback. Otherwise we might spend tons of time perfecting it, while we miss the stuff important to the communities. And yes, frame & caption is on top of our list right now.
CC: @MaxSem, @JGirault

Adding the features to support the most basic use case is not "perfecting it". We can already get technical feedback from WikiVoyage, we aren't going to get much useful feedback from Wikipedia's because we don't support their use case, and that will soon dwindle to none as they start using templates.

Already the second comment on ca.wiki: https://ca.wikipedia.org/wiki/Tema:T878phn3qofp76bh "...perhaps we should incorporate it into a template...".

Whatever we do next you have guaranteed that someone has to spend a bunch of time writing a bot to go around fixing these uses (either removing them, or switching out the inevitable template).

Yurik added a comment.Jul 28 2016, 7:12 PM

We can already get technical feedback from WikiVoyage, we aren't going to get much useful feedback from Wikipedia's because we don't support their use case, and that will soon dwindle to none as they start using templates.

This is actually incorrect. We already got useful feedback that wouldn't have come from WV - maps are not working in the apps. As for the usecases, this might also be different than what we have anticipated: Community has been adding maps to the info cards, which are themselves templates based on wikidata. I understand and support the use-case of adding a map with a lot of article specific information as part of the non templated article space, but so far not many users have wanted that. Perhaps this is due to how hard it is to edit the geojson, or to store it outside of the article. And yes, we should address that somehow, but we shouldn't say "maps cannot be used from templates" because there are many cases when they might be used as part of infobox, e.g. for "show where this place is on the map". Requiring users to add it by hand to each article might be bad.
In any case, we cannot launch mapframe to all wikis just yet because there is no good static service that would produce map + per-article layers. Once that is done, we can move forward. @JGirault plans to add frame & caption fairly soon.

K4-713 added a subscriber: K4-713.Jul 28 2016, 8:21 PM

...maps are not working in the apps...

In fact maps won't work in any non Grade-A browser. This would make it pretty much the only piece of article content that is not shown to Grade-C browsers (which aren't served JS). If users start replacing static maps with these we will be significantly degrading the experience on a live site for users who aren't served JS.

Yurik added a comment.EditedJul 29 2016, 1:58 AM

I thought android and iphone apps can use javascript, but i could be wrong. This is actually pretty bad, because all interactive vega graphs are also broken. Created T141596. Strangely enough, it doesn't even show the static image that graphoid generates. Basically, for the maps & graphs, the backend should produce static images that are shown in the apps for now, until they can do fully interactive stuff.

Yurik added a project: Maps.Sep 4 2016, 4:19 AM